import Vue from 'vue'
import Element from 'element-ui'
//import './assets/icons' // icon

// global css
import './assets/styles/common.css'

import App from './EdgeApp'
//import store from './store'
import router from './router/routers'
//import './router/index' // permission control

Vue.use(Element, {
  size: 'small' // set element-ui default size
})

Vue.config.productionTip = false
new Vue({
  el: '#edge',
  router,
  //store,
  render: h => h(App)
});

//Vue.__proto__.$state = store;
